// -*- c++ -*-
%{
#include "error.h"
%}

%typedef enum { UIMsg=1, MetaMsg, AppMsg, AppLibMsg, LibMsg, CoreMsg, KernelMsg } MsgLayer;

%typedef enum { SilentMsg, SparseMsg, VerboseMsg, NoisyMsg } MsgLevel;

void sas_string_message(MsgLayer layer, MsgLevel level, const char * msg);
void sas_string_warning(const char * code, const char * msg);
void sas_string_error(const char * code, const char * msg);
void sas_string_fatal(const char * code, const char * msg);

%{

void sas_string_message(MsgLayer layer, MsgLevel level, const char * msg)
{
  sas_message(layer, level, "%s", msg);
}

void sas_string_warning(const char * code, const char * msg)
{
  sas_warning(code, msg);
}

void sas_string_error(const char * code, const char * msg)
{
  sas_error(code, msg);
}

void sas_string_fatal(const char * code, const char * msg)
{
  sas_fatal(code, msg);
}

%}


